@echo off
SETLOCAL

set JBOSS_HOME=%CD%
echo %JBOSS_HOME%


rem # JVM memory allocation pool parameters - modify as appropriate.
set "JAVA_OPTS=-Xms512M -Xmx1024M -XX:MaxPermSize=256M"

rem # Reduce the RMI GCs to once per hour for Sun JVMs.
set "JAVA_OPTS=%JAVA_OPTS% -Dsun.rmi.dgc.client.gcInterval=3600000 -Dsun.rmi.dgc.server.gcInterval=3600000 -Djava.net.preferIPv4Stack=true"

rem # Warn when resolving remote XML DTDs or schemas.
set "JAVA_OPTS=%JAVA_OPTS% -Dorg.jboss.resolver.warning=true"

rem # Make Byteman classes visible in all module loaders
rem # This is necessary to inject Byteman rules into AS7 deployments
set "JAVA_OPTS=%JAVA_OPTS% -Djboss.modules.system.pkgs=org.jboss.byteman"

"%JBOSS_HOME%\bin\standalone.bat" -b localhost -c standalone.xml -Djboss.server.base.dir="%JBOSS_HOME%\standalone-PS" -Djboss.node.name=standalone-PS -Dorg.jboss.as.logging.per-deployment=false %*

ENDLOCAL
